## org.apache.batik.gvt.filter
Interface GraphicsNodeRable

All Superinterfaces:
  Filter, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  GraphicsNodeRable8Bit

public interface GraphicsNodeRable
extends Filter

This interface allows `GraphicsNode` to be seen as `RenderableImages`, which can be used for operations such as filtering, masking or compositing. Given a `GraphicsNode`, a `GraphicsNodeRable` can be created through a `GraphicsNodeRableFactory`.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`GraphicsNode` `getGraphicsNode()` Returns the `GraphicsNode` for which a rendering can be obtained
`boolean` `getUsePrimitivePaint()` Returns true if this Rable get's it's contents by calling primitivePaint on the associated `GraphicsNode` or false if it uses paint.
`void` `setGraphicsNode(GraphicsNode node)` Sets the `GraphicsNode` associated with this image.
`void` `setUsePrimitivePaint(boolean usePrimitivePaint)` Set to true if this Rable should get it's contents by calling primitivePaint on the associated `GraphicsNode` or false if it should use paint.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getGraphicsNode

    public GraphicsNode getGraphicsNode()

  Returns the `GraphicsNode` for which a rendering can be obtained

  Returns:
    the `GraphicsNode` associated with this image.

### setGraphicsNode

    public void setGraphicsNode(GraphicsNode node)

  Sets the `GraphicsNode` associated with this image.

### getUsePrimitivePaint

    public boolean getUsePrimitivePaint()

  Returns true if this Rable get's it's contents by calling primitivePaint on the associated `GraphicsNode` or false if it uses paint.

### setUsePrimitivePaint

    public void setUsePrimitivePaint(boolean usePrimitivePaint)

  Set to true if this Rable should get it's contents by calling primitivePaint on the associated `GraphicsNode` or false if it should use paint.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.